## ros-humble-fogros2 0.1.7

=== requirements.txt ===
boto3
scp
wgconfig
paramiko

=== debian/changelog ===
ros-humble-fogros2 (0.1.7-1jammy) jammy; urgency=high

  * temporarily removing awscli as dependency due to regression

 -- Jeff Ichnowski <jeffi@berkeley.edu>  Mon, 11 Jul 2022 07:00:00 -0000

ros-humble-fogros2 (0.1.6-1jammy) jammy; urgency=high

  * added wgconfig and wireguard as dependencies

 -- Jeff Ichnowski <jeffi@berkeley.edu>  Wed, 29 Jun 2022 07:00:00 -0000

ros-humble-fogros2 (0.1.5-1jammy) jammy; urgency=high

  * added dependencies to package.xml to reduce those that are manually downloaded

 -- Jeff Ichnowski <jeffi@berkeley.edu>  Wed, 08 Jun 2022 07:00:00 -0000

ros-humble-fogros2 (0.1.4-1jammy) jammy; urgency=high

  * fixed QUICKSTART.md documentation and removed unnecessary dependencies
  * prepared package.xml with list of authors and maintainers for release
  * changed environment variable checks from asserts to exceptions
  * cleaned up README.md

 -- Jeff Ichnowski <jeffi@berkeley.edu>  Sun, 15 May 2022 07:00:00 -0000

ros-humble-fogros2 (0.1.3-1jammy) jammy; urgency=high

  * readded human readable instance name generation
  * added checks and interterpretable feedback for client errors
  * added environment variable checks
  * updated documentation to include new potential issues and remove unnecessary instructions
  * fixed colcon warning message about arg parsing in the cloud instance

 -- Kaiyuan (Eric) Chen <kych@berkeley.edu>  Mon, 09 May 2022 07:00:00 -0000

ros-humble-fogros2 (0.1.2-1jammy) jammy; urgency=high

  * removed unique name generator and fixed package.xml

 -- Kaiyuan (Eric) Chen <kych@berkeley.edu>  Mon, 02 May 2022 07:00:00 -0000

ros-humble-fogros2 (0.1.1-1jammy) jammy; urgency=high

  * updates CLI to use AWS APIs to interface with running instances
  * adds support for Ubuntu 20.04 and 22.04
  * decouples the launch file and only include the inherited launch
  * adds local peer to fix the DDS node discovery
  * changes cloud containers to use wg interface
  * adds lock to protect cloud instance ready state
  * first public release for Humble

 -- Kaiyuan (Eric) Chen <kych@berkeley.edu>  Mon, 02 May 2022 07:00:00 -0000

=== debian/control ===
Source: ros-humble-fogros2
Section: misc
Priority: optional
Maintainer: Jeff Ichnowski <jeffi@berkeley.edu>
Build-Depends: debhelper (>= 9.0.0), python3-boto3, python3-paramiko, python3-pytest <!nocheck>, python3-scp, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-rmw-cyclonedds-cpp, ros-humble-ros2cli, wireguard, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-fogros2
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-boto3, python3-paramiko, python3-scp, ros-humble-rmw-cyclonedds-cpp, ros-humble-ros2cli, wireguard, ros-humble-ros-workspace
Description: A ROS 2 extension for the cloud deployment of computational graphs in a cloud-provider agnostic and security-conscious manner.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/humble" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=pybuild --with python3 --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-fogros2//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
